"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.blocklist = void 0;
const configTools_1 = require("../utils/configTools");
const chalk = require("chalk");
const promptTools_1 = require("../utils/promptTools");
const utils_1 = require("../utils/utils");
exports.blocklist = {
    name: 'blocklist',
    description: 'Edit blocklist used to avoid damaging important databases',
    arguments: [],
    options: [
        {
            name: 'add',
            argName: 'add',
            short: 'a',
            info: 'Add projects to blocklist',
            list: true,
        },
        {
            name: 'remove',
            argName: 'remove',
            short: 'r',
            info: 'Remove projects to blocklist',
            list: true,
        },
        {
            name: 'list',
            short: 'l',
            info: 'Show the blocklist',
        },
    ],
    action: blocklistAction,
};
async function blocklistAction(options) {
    if (options === null || options === void 0 ? void 0 : options.remove) {
        (0, configTools_1.removeFromBlocklist)(options.remove);
        (0, promptTools_1.logSuccess)(`Removed ${chalk.whiteBright((0, utils_1.listToText)(options.remove))} from the blocklist`);
    }
    if (options === null || options === void 0 ? void 0 : options.add) {
        (0, configTools_1.addToBlocklist)(options.add);
        (0, promptTools_1.logSuccess)(`Added ${chalk.whiteBright((0, utils_1.listToText)(options.add))} to the blocklist`);
    }
    if (options === null || options === void 0 ? void 0 : options.list) {
        console.log(`Blocklist :${chalk.whiteBright((0, utils_1.listToBullets)((0, configTools_1.getBlocklist)()))}`);
    }
}
//# sourceMappingURL=blocklist.js.map