"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.config = void 0;
const serviceAccountTools_1 = require("../utils/serviceAccountTools");
const configTools_1 = require("../utils/configTools");
const promptTools_1 = require("../utils/promptTools");
exports.config = {
    name: 'config',
    description: 'Edit firebase-cli config',
    arguments: [],
    options: [
        {
            name: 'default-service-account-path',
            argName: 'defaultServiceAccountPath',
            short: 's',
            info: 'Set path to the default service account used to access the project',
        },
    ],
    action: configAction,
};
async function configAction(options) {
    if (options === null || options === void 0 ? void 0 : options.defaultServiceAccountPath) {
        let serviceAccountPath = (await (0, serviceAccountTools_1.isValidServiceAccountPath)(options === null || options === void 0 ? void 0 : options.defaultServiceAccountPath, true)) == true
            ? options.defaultServiceAccountPath
            : await (0, serviceAccountTools_1.getServiceAccountPathWithUserInput)();
        (0, configTools_1.setDefaultServiceAccountPath)(serviceAccountPath);
        (0, promptTools_1.logSuccess)(`Succesfully setted ${serviceAccountPath} as default service account path.`);
    }
}
//# sourceMappingURL=config.js.map